Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		2.0.25
Release:		%mkrel 1
License:		GPLv2+
Group:			System/Servers
URL:			http://www.tedfelix.com/linux/acpid-netlink.html
Source0:		http://www.tedfelix.com/linux/%{name}-%{version}.tar.xz
Patch1:	 		acpid-CVE-2011-2777.patch
Source1:		acpid.rc
Requires(post):		rpm-helper
Requires(post):		chkconfig
Requires(preun):	rpm-helper
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 		%name < %version


%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%patch1 -p0 -b .CVE-2011-2777

%build
%configure2_5x
%make


%install
%makeinstall_std
mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/acpid

install -d %{buildroot}%{_sysconfdir}/acpi/actions

%clean
rm -rf %{buildroot}

%triggerpostun -- acpid < 1.0.6
/sbin/chkconfig --level 7 acpid reset

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_initrddir}/acpid
%dir %{_sysconfdir}/acpi/actions
%{_datadir}/doc/acpid

%changelog
* Fri Aug 21 2015 bb <bb> 2.0.25-1pclos2015
- update

* Wed Sep 03 2014 bb <bb> 2.0.23-1pclos2014
- update

* Fri Apr 04 2014 bb <bb> 2.0.22-2pclos2014
- adjust start script since /proc/acpi/event
- has been depreciated
